<?php
/**
 *	Setup
 */
if( !function_exists( 'azad_travel_agency_setup' ) ) {
	add_action( 'after_setup_theme', 'azad_travel_agency_setup' );
	function azad_travel_agency_setup() {
		// Require Once
		require_once( 'includes/customizer.php' );

		// Load Theme Textdomain
		load_theme_textdomain( 'azad-travel-agency', get_stylesheet_directory_uri() . '/languages' );

		// Add Image Size
		add_image_size( 'azad-travel-agency-page-header', 1920, 420, true );
	}
}

/**
 *	Content Width
 */
if( !function_exists( 'azad_travel_agency_content_width' ) ) {
	function azad_travel_agency_content_width() {
		$GLOBALS['content_width'] = apply_filters( 'azad_travel_agency_content_width', 1170 );
	}
	add_action( 'after_setup_theme', 'azad_travel_agency_content_width', 0 );
}

/**
 *	Enqueue Styles
 */
if( !function_exists( 'azad_travel_agency_enqueue_styles' ) ) {
	add_action( 'wp_enqueue_scripts', 'azad_travel_agency_enqueue_styles' );
	function azad_travel_agency_enqueue_styles() {
		// Google Fonts
		$google_fonts_args = array(
			'family'	=> 'Oxygen:400,300,700'
		);

		// WP Register Style
		wp_register_style( 'azad-travel-agency-google-fonts', add_query_arg( $google_fonts_args, '//fonts.googleapis.com/css' ), array(), null );

		// WP Enqueue Style
		wp_enqueue_style( 'regina-lite-style', get_template_directory_uri() . '/style.css' );
		wp_enqueue_style( 'azad-travel-agency-style', get_stylesheet_directory_uri() . '/style.css', array( 'regina-lite-style' ), '1.0.0', 'all' );
		wp_enqueue_style( 'font-awesome', get_stylesheet_directory_uri() . '/assets/css/font-awesome.min.css', array(), '4.5.0', 'all' );
		wp_enqueue_style( 'azad-travel-agency-google-fonts' );
	}
}

/**
 *	Dequeue Styles
 */
if( !function_exists( 'azad_travel_agency_dequeue_styles' ) ) {
	add_action( 'wp_print_styles', 'azad_travel_agency_dequeue_styles' );
	function azad_travel_agency_dequeue_styles() {
		wp_dequeue_style( 'bxslider-css' );
	}
}

/**
 *	Custom Header
 */
$custom_header_args = array(
	'default-image'	=> get_stylesheet_directory_uri() . '/assets/images/front-page/front-page-header.png',
	'width'			=> '1920',
	'height'		=> '560'
);
add_theme_support( 'custom-header', $custom_header_args );